package com.liquidnet.common.third.zxlnft.dto.nft;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 53.NFT 售价变更状态查询 GET请求方式
 * @class: NftPriceUpdateResultReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 16:00
 */
@Data
public class Nft053PriceUpdateResultReq implements Serializable {
    /**
     * 平台公钥
     */
    private String platformPubKey;
    /**
     * 任务ID
     */
    private String taskId;
    private static final Nft053PriceUpdateResultReq obj = new Nft053PriceUpdateResultReq();
    private static final long serialVersionUID = 7792644902774123708L;

    public static Nft053PriceUpdateResultReq getNew() {
        try {
            return (Nft053PriceUpdateResultReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft053PriceUpdateResultReq();
        }
    }
}
